Subject: bug#78345: Koutliner error in file name without file type [not a bug, exactly]

From: Robert Weiner <[email-masked]>
Date: Sun, 11 May 2025 08:32:36 -0400

Hi Cena:

Thanks for reporting this issue; I’m sure we can improve the file name handling there.

Welcome to the Hyperbole user community.

Look forward to your summary of Hyperbole use after a few weeks.

-- rsw

On May 10, 2025, at 9:18 AM, Cena Mayo <[email-masked]> wrote:

In my simple-mindedness as an (Emacs) newbie trying out Hyperbole, (9.0.1 on Emacs 31.0.50) I attempted to create a new Koutliner file via the Hyperbole menu->Koutliner->Create-File.

After entering the name of the file and pressing return, I got:

Debugger entered--Lisp error: (void-function klabel-type:function)
klabel-type:function(alpha)
kview:set-functions(alpha)
kview:create("changes")
kfile:create(#<buffer changes>)
kfile:read(#<buffer changes> nil)
kfile:find("~/.emacs.d/changes")
funcall-interactively(kfile:find "~/.emacs.d/changes")
command-execute(kfile:find)

As you can see, I left the file type off of the file name; including it (changes.kotl)) resolves the issue.

So this isn't a bug, per se; I'm just reporting this because maybe(?) a reminder upon file name input or auto-addition of the file type to the file name could be implemented?  In your copious free time?

As an aside, if Bob Weiner happens to see this - I was inspired to try Hyperbole after seeing this 3-hr Q&A from EmacsConf 2022, where you and John Cummings chat about a million things.  Really appreciated your long-term perspective on a variety of topics (benefit of getting older, as one old tries to convince the other.)

As another of those infernal 'seeks-to-understand-from-the-atomic-level' people y'all discuss (maybe not toilet paper, fine)  really looking forward to digging into Hyperbole, and perhaps will even generate a one-page report of feedback from a newbie. :)

Best,

Cena Mayo

_______________________________________________
Bug-hyperbole mailing list
[email-masked]
https://lists.gnu.org/mailman/listinfo/bug-hyperbole